- Return a user's homepage feed
Return a user's feed of posts
Return a user profile's submitted content
Return channels followed by a user profile
Return the details of a single post within a feed
Return the engagement details of a single post within a feed
Like a post in the feed
Unlike a post in the feed
Bookmark a post in the feed
Unbookmark a post in the feed
Get the trackable URL for a post in the feed
Share a post in the feed
View a post in the feed
Unview a post in the feed
List the comments on a content post
Comment on a post in the feed
List the replies to a comment on a content post
Reply to a comment on a post in the feed
Report a Comment or Reply for a given post in the feed
Query for users that are able to be mentioned.
Update a comment on a post in the feed
Delete a comment or reply on a post in the feed
Return the rendered content of a single post within the feed
Report a post in the feed
Acknowledge a post in the feed.
Returns the details of a single poll.
Respond to a poll.
Returns a user's feed of polls.
Experimental and undocumented video access
Experimental and undocumented attachment access
Experimental and undocumented attachment redirect
Return a user's homepage...
Provides a user’s homepage feed, complete with the homepage banner, user’s shortcuts and modules.
This is a restricted endpoint that requires enablement. Reach out to your Firstup representative for access.
Security
oauth2_as_a_user(Required scopes: feeds.read)
- US1https://partner.socialchorus.com/v2/feeds/web_homepage
- US2https://partner.us2.onfirstup.com/v2/feeds/web_homepage
- EUhttps://partner.onfirstup.eu/v2/feeds/web_homepage
curl -i -X GET \
https://partner.socialchorus.com/v2/feeds/web_homepage \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
A user's assembled custom homepage. The feed array contains an ordered list of modules. Each module has a type and an attributes object whose shape depends on the module type (banner, link_carousel, or a content module: hero, grid, gallery, row). Content modules embed their resolved feed_items.
Example:
{ "type": "web_homepage", "attributes": { "id": "1f2e3d4c-5b6a-7980-1234-567890abcdef", "feed": [ … ] } }
Response
{ "data": { "type": "web_homepage", "attributes": { … } } }